<?php

//require_once("dbaccess.inc");

class Info extends DbAccess {
	static $t_table = array(
		'title' => '情報',
		'name' => 'info',
		'fields' => array(
			1 => 'info_id',
			2 => 'user_id',
			3 => 'kind',
			4 => 'title',
			5 => 'contents',
		),
		"seq" => "info_id"
	);

	function __construct($page=0, $limit=0, $order="", $search=array()) {
		parent::DbAccess($page, $limit, $order, $search, self::$t_table["name"], self::$t_table["seq"]);
	}

	static function getData($id, $fields="", $raw=null) {
		return parent::_getData($id, $fields, $raw, self::$t_table["name"], self::$t_table["seq"]);
	}

	static function addData($data, $raw=null) {
		if (!isset($data["reg_date"])) {
			$data["reg_date"] = "now()";
		}
		if (!isset($data["up_date"])) {
			$data["up_date"] = "now()";
		}
		return parent::_addData($data, $raw, self::$t_table["name"], self::$t_table["seq"]);
	}

	static function updateData($id, $data, $raw=null) {
		if (!isset($data["up_date"])) {
			$data["up_date"] = "now()";
		}
		return parent::_updateData($id, $data, $raw, self::$t_table["name"], self::$t_table["seq"]);
	}

	static function deleteData($id) {
		return parent::_deleteData($id, self::$t_table["name"], self::$t_table["seq"]);
	}

	static function findData($cond, $fields=null, $raw=null) {
		return parent::_findData($cond, $fields, $raw, self::$t_table["name"], self::$t_table["seq"]);
	}
}
